import 'reflect-metadata';
import { GetOptionsAll, NonUndefined, Path, Property } from '@kuoki/environment';
import { Observable } from 'rxjs';
import { GetOptionsDecorator } from './get-options-decorator.type';
export type EnvironmentValueDecoratorMethodReturn<T> = T | Observable<T | unknown> | Promise<T | unknown> | unknown;
export declare function environmentValueDecoratorFactory<T extends NonUndefined<Property>, K = T>({ getEnvironmentValueFn, path, options }: {
    getEnvironmentValueFn: (path: Path, options: GetOptionsAll<T, K>) => EnvironmentValueDecoratorMethodReturn<T>;
    path: Path;
    options?: GetOptionsAll<T, K> & GetOptionsDecorator;
}): PropertyDecorator | MethodDecorator;
