import { ActivatedRouteSnapshot, Router, UrlTree } from '@angular/router';
import { AtLeastOne, EnvironmentQuery, Path } from '@kuoki/environment';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Prevent path to be activated if required environment properties doesn't exist.
 */
export declare class CanActivateEnvironment {
    protected readonly router: Router;
    protected readonly query: EnvironmentQuery;
    /**
     * The array of properties needed to activate the path.
     */
    protected readonly properties?: AtLeastOne<Path>;
    /**
     * The path to redirect on activation error.
     */
    protected readonly urlOnError?: string | UrlTree;
    /**
     * The time to wait until properties are resolved.
     */
    protected readonly dueTime?: number;
    /**
     * The path to manage properties on route Data.
     */
    protected readonly dataPath = "canActivateEnvironment";
    constructor(router: Router, query: EnvironmentQuery);
    canActivate(route: ActivatedRouteSnapshot): Observable<boolean | UrlTree>;
    protected getProperties(route: ActivatedRouteSnapshot): unknown;
    protected getUrlTree(route: ActivatedRouteSnapshot): UrlTree | undefined;
    protected isNotEmptyProperties(properties: unknown): properties is AtLeastOne<Path>;
    protected getDueTime(route: ActivatedRouteSnapshot): number | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<CanActivateEnvironment, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CanActivateEnvironment>;
}
