import { Injector, ModuleWithProviders } from '@angular/core';
import { EnvironmentQuery } from '@kuoki/environment';
import { EnvironmentAngularChildConfig, EnvironmentModuleConfig } from './environment-module-config.interface';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class EnvironmentModule {
    protected readonly injector: Injector;
    private static _query?;
    /**
     * The singleton instance of EnvironmentQuery.
     * @throws If EnvironmentQuery is not provided.
     */
    static get query(): EnvironmentQuery | undefined;
    /**
     * Initializes the EnvironmentModule with all the required services.
     * @param config Customizes the environment behavior and services.
     * @returns The EnvironmentModule with all the required services.
     */
    static forRoot(config?: EnvironmentModuleConfig): ModuleWithProviders<EnvironmentModule>;
    static forChild(config?: EnvironmentAngularChildConfig): ModuleWithProviders<EnvironmentModule>;
    constructor(injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<EnvironmentModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<EnvironmentModule, never, [typeof i1.CommonModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<EnvironmentModule>;
}
