import { PipeTransform } from '@angular/core';
import { GetOptionsReactive, NonUndefined, Path, Property } from '@kuoki/environment';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Renders the value as Observable from EnvironmentState or the path as Observable if value is undefined.
 */
export declare class EnvironmentValueReactivePipe implements PipeTransform {
    /**
     * Transforms the value as Observable from EnvironmentState or the path as Observable if value is undefined.
     * @template T The EnvironmentState property type.
     * @template K The expected property target type.
     * @param path The EnvironmentState path to resolve.
     * @param config The options to get a property as Observable.
     * @returns The value as Observable from EnvironmentState or the path as Observable if value is undefined.
     * @see EnvironmentQuery#get$
     */
    transform<T extends NonUndefined<Property>, K = T>(path: Path, config?: GetOptionsReactive<T, K>): Observable<NonUndefined<T | K> | string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnvironmentValueReactivePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<EnvironmentValueReactivePipe, "environmentValue$", false>;
}
