import { PipeTransform } from '@angular/core';
import { GetOptions, NonUndefined, Path, Property } from '@kuoki/environment';
import * as i0 from "@angular/core";
/**
 * Renders the value from EnvironmentState or the path if value is undefined.
 */
export declare class EnvironmentValuePipe implements PipeTransform {
    /**
     * Transforms the value from EnvironmentState or the path if value is undefined.
     * @template T The EnvironmentState property type.
     * @template K The expected property target type.
     * @param path The EnvironmentState path to resolve.
     * @param config The options to get a property.
     * @returns The value from EnvironmentState or the path if value is undefined.
     * @see EnvironmentQuery#get
     */
    transform<T extends NonUndefined<Property>, K = T>(path: Path, config?: GetOptions<T, K>): NonUndefined<T | K> | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnvironmentValuePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<EnvironmentValuePipe, "envValue", false>;
}
